# Generated by Django 2.2 on 2020-08-06 02:07

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='CategoryModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=15)),
                ('slug', models.SlugField(max_length=18)),
                ('status', models.CharField(choices=[('ACTIVE', 'Active'), ('DEACTIVE', 'Deactive')], default='Active', max_length=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Category',
                'verbose_name_plural': 'Categories',
                'ordering': ['-pk'],
            },
        ),
        migrations.CreateModel(
            name='QuickEmailSubscriptionModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('username', models.CharField(blank=True, max_length=15, null=True)),
                ('email', models.EmailField(max_length=75)),
                ('mobile', models.BigIntegerField(blank=True, null=True)),
                ('status', models.CharField(choices=[('ACTIVE', 'active'), ('DEACTIVE', 'deactive')], default='active', max_length=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('category', models.ForeignKey(default='3', on_delete=django.db.models.deletion.CASCADE, to='djangosubscribe.CategoryModel')),
            ],
            options={
                'verbose_name': 'Quick Email Subsciption',
                'verbose_name_plural': 'Quick Email Subscriptions',
                'ordering': ['-pk'],
            },
        ),
        migrations.CreateModel(
            name='WorkInformationModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('username', models.CharField(blank=True, max_length=15, null=True)),
                ('work', models.CharField(blank=True, max_length=180, null=True)),
                ('profession', models.CharField(blank=True, max_length=180, null=True)),
                ('status', models.CharField(choices=[('ACTIVE', 'active'), ('DEACTIVE', 'deactive')], max_length=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangosubscribe.CategoryModel')),
                ('email', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangosubscribe.QuickEmailSubscriptionModel')),
            ],
            options={
                'verbose_name': 'Work Information',
                'verbose_name_plural': 'Work Informations',
                'ordering': ['-pk'],
            },
        ),
        migrations.CreateModel(
            name='ParentalInformationModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('username', models.CharField(blank=True, max_length=15, null=True)),
                ('father', models.CharField(blank=True, max_length=30, null=True)),
                ('father_mobile', models.PositiveIntegerField(blank=True, null=True)),
                ('father_occupation', models.CharField(blank=True, max_length=180, null=True)),
                ('mother', models.CharField(blank=True, max_length=30, null=True)),
                ('mother_mobile', models.PositiveIntegerField(blank=True, null=True)),
                ('mother_occupation', models.CharField(blank=True, max_length=180, null=True)),
                ('status', models.CharField(choices=[('ACTIVE', 'active'), ('DEACTIVE', 'deactive')], max_length=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangosubscribe.CategoryModel')),
                ('email', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangosubscribe.QuickEmailSubscriptionModel')),
            ],
            options={
                'verbose_name': 'Parental Information',
                'verbose_name_plural': 'Parental Informations',
                'ordering': ['-pk'],
            },
        ),
        migrations.CreateModel(
            name='EducationalInformationModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('username', models.CharField(blank=True, max_length=15, null=True)),
                ('high_school', models.CharField(blank=True, max_length=180, null=True)),
                ('university', models.CharField(blank=True, max_length=180, null=True)),
                ('status', models.CharField(choices=[('ACTIVE', 'active'), ('DEACTIVE', 'deactive')], default='active', max_length=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangosubscribe.CategoryModel')),
                ('email', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangosubscribe.QuickEmailSubscriptionModel')),
            ],
            options={
                'verbose_name': 'Education Information',
                'verbose_name_plural': 'Education Informations',
                'ordering': ['-pk'],
            },
        ),
        migrations.CreateModel(
            name='BasicInformationModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('username', models.CharField(blank=True, max_length=15, null=True)),
                ('first_name', models.CharField(blank=True, max_length=15, null=True)),
                ('last_name', models.CharField(blank=True, max_length=15, null=True)),
                ('birthday', models.DateField(blank=True, null=True)),
                ('image', models.ImageField(blank=True, null=True, upload_to='')),
                ('gender', models.CharField(blank=True, choices=[('MALE', 'Male'), ('FEMALE', 'Female'), ('CUSTOM', 'Custom')], max_length=6, null=True)),
                ('language', models.CharField(blank=True, max_length=20, null=True)),
                ('religion', models.CharField(blank=True, max_length=20, null=True)),
                ('politics', models.CharField(blank=True, max_length=20, null=True)),
                ('status', models.CharField(blank=True, choices=[('ACTIVE', 'active'), ('DEACTIVE', 'deactive')], default='active', max_length=8, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangosubscribe.CategoryModel')),
                ('email', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangosubscribe.QuickEmailSubscriptionModel')),
            ],
            options={
                'verbose_name': 'Basic Information',
                'verbose_name_plural': 'Basic Informations',
                'ordering': ['-pk'],
            },
        ),
    ]
